Subject: bug#14815: 24.3.50; eww (Hyperlinks): Left mouse click on hyperlinks does nothing

From: Jambunathan K <[email-masked]>
Date: Fri, 19 Jul 2013 22:32:11 +0530

Lars Magne Ingebrigtsen <[email-masked]> writes:

> Jambunathan K <[email-masked]> writes:
>
>> C-u C-x = on Orgmode links shows this:
>>
>>     (keymap
>>      (follow-link . mouse-face)
>>      (mouse-3 . org-find-file-at-mouse)
>>      (mouse-2 . org-open-at-mouse))
>>
>> Define keymap
>>
>>     (defvar org-mouse-map (make-sparse-keymap))
>>     (org-defkey org-mouse-map [mouse-2] 'org-open-at-mouse)
>>     (org-defkey org-mouse-map [mouse-3] 'org-find-file-at-mouse)
>
> Ok; I've now bound [mouse-2] in shr.

Middle click follows the link.

> But this bug report is about the left mouse click, and that's mouse-1,
> isn't it?  

Yes.

> does the special follow-link thing do magic with remapping
> mouse-2 to mouse-1?

Left click does NOT work in eww buffers.  (i.e., the bug is still open)

Left click still opens Org links - which look like so [[org link]] - in
Org buffers.  I am unable to quickly figure out what Org does specially
which eww misses.

Another thing I noticed: When mouse house over an link in an Org or a
Help buffer, the link's color changes.  In case of eww, this
color-changing doesn't happen.